import { BaseProvider } from '@tinystacks/ops-core';
import { AwsAssumedRoleType } from './aws-credentials/aws-assumed-role.js';
import { AwsKeysType } from './aws-credentials/aws-keys.js';
import { LocalAwsProfileType } from './aws-credentials/local-aws-profile.js';
import { AwsSdkVersionEnum } from './aws-credentials/aws-credentials-type.js';
import { Provider } from '@tinystacks/ops-model';
type AwsCredentialsProviderProps = Provider & {
    credentials: AwsAssumedRoleType | AwsKeysType | LocalAwsProfileType;
    accountId?: string;
    region?: string;
};
export declare class AwsCredentialsProvider extends BaseProvider {
    static type: string;
    credentials: AwsAssumedRoleType | AwsKeysType | LocalAwsProfileType;
    accountId?: string;
    region?: string;
    constructor(args: AwsCredentialsProviderProps);
    static fromJson(object: AwsCredentialsProviderProps): AwsCredentialsProvider;
    toJson(): {
        credentials: LocalAwsProfileType | AwsAssumedRoleType | AwsKeysType;
        accountId: string;
        region: string;
        id: string;
        type: string;
    };
    getCredentials(awsSdkVersion?: AwsSdkVersionEnum): Promise<import("./aws-credentials/aws-credentials-type.js").AwsCredentials>;
}
export {};
