/// <reference types="react" />
import { Widget } from '@tinystacks/ops-model';
import { BaseProvider, BaseWidget } from '@tinystacks/ops-core';
type AwsCliProps = Widget & {
    command: string;
    commandResult?: {
        stdout: string;
        stderr: string;
    };
    runOnStart?: boolean;
    hasRun?: boolean;
};
type AwsCliOverrides = {
    clear?: boolean;
    run?: boolean;
};
export declare class AwsCli extends BaseWidget {
    static type: string;
    command: string;
    runOnStart: boolean;
    commandResult: {
        stdout: string;
        stderr: string;
    };
    hasRun: boolean;
    constructor(props: AwsCliProps);
    static fromJson(object: AwsCliProps): AwsCli;
    toJson(): AwsCliProps;
    getData(providers?: BaseProvider[], overrides?: AwsCliOverrides): Promise<void>;
    render(_children?: any, overridesCallback?: (overrides: AwsCliOverrides) => void): JSX.Element;
}
export {};
